package cn.com.qmth.task.base;

import java.io.Serializable;

/**
 * 任务配置
 *
 * @author WANGWEI
 * @date 2018年3月7日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
public class ScheduleJob implements Serializable
{
	private static final long serialVersionUID = -1638993747996917970L;

	/**
	 * 任务名称
	 */
	private String jobName;

	/**
	 * 任务分组
	 */
	private String jobGroup;

	/**
	 * 任务状态
	 */
	private String jobStatus;

	/**
	 * cron表达式
	 */
	private String cronExpression;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * Spring bean
	 */
	private String springBean;

	/**
	 * 是否顺序执行
	 */
	private boolean stateful = true;
	
	/**
	 * 随着容器启动而启动
	 */
	private boolean startWithContainer = false;

	public String getJobName()
	{
		return jobName;
	}

	public void setJobName(String jobName)
	{
		this.jobName = jobName;
	}

	public String getJobGroup()
	{
		return jobGroup;
	}

	public void setJobGroup(String jobGroup)
	{
		this.jobGroup = jobGroup;
	}

	public String getJobStatus()
	{
		return jobStatus;
	}

	public void setJobStatus(String jobStatus)
	{
		this.jobStatus = jobStatus;
	}

	public String getCronExpression()
	{
		return cronExpression;
	}

	public void setCronExpression(String cronExpression)
	{
		this.cronExpression = cronExpression;
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getSpringBean()
	{
		return springBean;
	}

	public void setSpringBean(String springBean)
	{
		this.springBean = springBean;
	}

	public boolean isStateful()
	{
		return stateful;
	}

	public void setStateful(boolean stateful)
	{
		this.stateful = stateful;
	}

	public boolean isStartWithContainer() {
		return startWithContainer;
	}

	public void setStartWithContainer(boolean startWithContainer) {
		this.startWithContainer = startWithContainer;
	}
	
}