package cn.com.qmth.task.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;
import javax.validation.constraints.NotNull;

/**
 * 任务配置
 *
 * @author WANGWEI
 * @date 2018年3月7日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
@Table(name="ec_b_schedule_job",uniqueConstraints = {@UniqueConstraint(columnNames={"jobName"})})
@Entity
public class ScheduleJobEntity implements Serializable
{
	private static final long serialVersionUID = -1638993747996917970L;
	
	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 任务名称
	 */
	@NotNull
	private String jobName;

	/**
	 * 任务分组
	 */
	@NotNull
	private String jobGroup;

	/**
	 * 任务当前状态
	 */
	private String jobStatus;

	/**
	 * cron表达式
	 */
	@NotNull
	private String cronExpression;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * Spring bean
	 */
	@NotNull
	private String springBean;

	/**
	 * 是否顺序执行
	 */
	private Boolean stateful;
	
	/**
	 * job操作时间
	 */
	private Date operateTime;

	/**
	 * job操作是否成功
	 */
	private String operateResult;
	
	/**
	 * 随着容器启动而启动
	 */
	@Column(name="start_width_container")
	private Boolean startWithContainer;
	
	public String getJobName()
	{
		return jobName;
	}

	public void setJobName(String jobName)
	{
		this.jobName = jobName;
	}

	public String getJobGroup()
	{
		return jobGroup;
	}

	public void setJobGroup(String jobGroup)
	{
		this.jobGroup = jobGroup;
	}

	public String getJobStatus()
	{
		return jobStatus;
	}

	public void setJobStatus(String jobStatus)
	{
		this.jobStatus = jobStatus;
	}

	public String getCronExpression()
	{
		return cronExpression;
	}

	public void setCronExpression(String cronExpression)
	{
		this.cronExpression = cronExpression;
	}

	public String getDescription()
	{
		return description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getSpringBean()
	{
		return springBean;
	}

	public void setSpringBean(String springBean)
	{
		this.springBean = springBean;
	}

	public Boolean isStateful()
	{
		return stateful;
	}

	public void setStateful(Boolean stateful)
	{
		this.stateful = stateful;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Date getOperateTime() {
		return operateTime;
	}

	public void setOperateTime(Date operateTime) {
		this.operateTime = operateTime;
	}

	public String getOperateResult() {
		return operateResult;
	}

	public void setOperateResult(String operateResult) {
		this.operateResult = operateResult;
	}

	public Boolean getStartWithContainer() {
		return startWithContainer;
	}

	public void setStartWithContainer(Boolean startWithContainer) {
		this.startWithContainer = startWithContainer;
	}

	public Boolean getStateful() {
		return stateful;
	}
	
}