package cn.com.qmth.task.service.impl;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.task.base.ScheduleJob;
import cn.com.qmth.task.entity.ScheduleJobEntity;
import cn.com.qmth.task.repository.ScheduleJobEntityRepo;
import cn.com.qmth.task.service.ScheduleJobEntityService;

@Service("scheduleJobEntityService")
public class ScheduleJobEntityServiceImpl implements ScheduleJobEntityService{
	
	@Autowired
	private ScheduleJobEntityRepo scheduleJobEntityRepo;

	@Override
	public List<ScheduleJobEntity> findAll() {
		return scheduleJobEntityRepo.findAll();
	}

	@Override
	public void saveScheduleJobEntity(ScheduleJobEntity scheduleJobEntity) {
		scheduleJobEntity.setOperateTime(new Date());
		scheduleJobEntityRepo.save(scheduleJobEntity);
	}

	@Override
	public ScheduleJobEntity findByJobName(String jobName) {
		if(StringUtils.isBlank(jobName)){
			return null;
		}
		return scheduleJobEntityRepo.findByJobName(jobName);
	}

	@Override
	public ScheduleJob transformationToScheduleJob(ScheduleJobEntity scheduleJobEntity) {
		if(scheduleJobEntity==null){
			return null;
		}
		ScheduleJob scheduleJob = new ScheduleJob();
		scheduleJob.setJobName(scheduleJobEntity.getJobName());
		scheduleJob.setJobGroup(scheduleJobEntity.getJobGroup());
		scheduleJob.setSpringBean(scheduleJobEntity.getSpringBean());
		scheduleJob.setCronExpression(scheduleJobEntity.getCronExpression());
		Boolean startWithContainer = scheduleJobEntity.getStartWithContainer();
		scheduleJob.setStartWithContainer(startWithContainer==null?false:startWithContainer);
		return scheduleJob;
	}

}
