package cn.com.qmth.task.service.job;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.task.base.QuartzManager;
import cn.com.qmth.task.base.ScheduleJob;
import cn.com.qmth.task.entity.ScheduleJobEntity;
import cn.com.qmth.task.service.ScheduleJobEntityService;

@Component
public class JobsInitialization implements Runnable{

	@Autowired
	private ScheduleJobEntityService scheduleJobEntityService;
	
	@Autowired
	private QuartzManager quartzManager;

	@Override
	public void run() {
		List<ScheduleJobEntity> scheduleJobEntitys = scheduleJobEntityService.findAll();
    	for(ScheduleJobEntity scheduleJobEntity:scheduleJobEntitys){
			ScheduleJob scheduleJob = scheduleJobEntityService.transformationToScheduleJob(scheduleJobEntity);
			if(scheduleJob.isStartWithContainer()){
				quartzManager.addJob(scheduleJob);
			}
    	}
	} 
	
}
